## com.fasterxml.jackson.databind.ser.std
Class NonTypedScalarSerializerBase<T>

    java.lang.Object
      com.fasterxml.jackson.databind.JsonSerializer<T>
          com.fasterxml.jackson.databind.ser.std.StdSerializer<T>
              com.fasterxml.jackson.databind.ser.std.StdScalarSerializer<T>
                  com.fasterxml.jackson.databind.ser.std.NonTypedScalarSerializerBase<T>

All Implemented Interfaces:
  JsonFormatVisitable, SchemaAware

Direct Known Subclasses:
  BooleanSerializer, NumberSerializers.DoubleSerializer, NumberSerializers.IntegerSerializer, StringSerializer

    public abstract class NonTypedScalarSerializerBase<T>

extends StdScalarSerializer<T>

Intermediate base class for limited number of scalar types that should never include type information. These are "native" types that are default mappings for corresponding JSON scalar types: `String`, `Integer`, `Double` and `Boolean`.

Nested Class Summary

Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer
`JsonSerializer.None`

Field Summary

Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`_handledType`

Constructor Summary
`protected` `NonTypedScalarSerializerBase(Class<T> t)`

Method Summary
`void` `serializeWithType(T value, JsonGenerator jgen, SerializerProvider provider, TypeSerializer typeSer)` Default implementation will write type prefix, call regular serialization method (since assumption is that value itself does not need JSON Array or Object start/end markers), and then write type suffix.

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdScalarSerializer
`acceptJsonFormatVisitor, getSchema`

Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer
`createObjectNode, createSchemaNode, createSchemaNode, getSchema, handledType, isDefaultSerializer, serialize, wrapAndThrow, wrapAndThrow`

Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer
`getDelegatee, isEmpty, isUnwrappingSerializer, replaceDelegatee, unwrappingSerializer, usesObjectId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NonTypedScalarSerializerBase

    protected NonTypedScalarSerializerBase(Class<T> t)

Method Detail

### serializeWithType

    public final void serializeWithType(T value,
                                        JsonGenerator jgen,
                                        SerializerProvider provider,
                                        TypeSerializer typeSer)
                                 throws IOException,
                                        JsonGenerationException

  Description copied from class: `StdScalarSerializer`
  Default implementation will write type prefix, call regular serialization method (since assumption is that value itself does not need JSON Array or Object start/end markers), and then write type suffix. This should work for most cases; some sub-classes may want to change this behavior.

  Overrides:
    `serializeWithType` in class `StdScalarSerializer<T>`
  Parameters:
    `value` - Value to serialize; can not be null.
    `jgen` - Generator used to output resulting Json content
    `provider` - Provider that can be used to get serializers for serializing Objects value contains, if any.
    `typeSer` - Type serializer to use for including type information
  Throws:
    `IOException`
    `JsonGenerationException`

Copyright © 2012 FasterXML. All Rights Reserved.